[Testing Update] 2020-04-29 - Kernels, Gnome, VLC, Firefox, Brave, LxQt 0.15

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

Older issues

HP Device Manager


Pamac stuck at "Preparing..."

Users have reported issues with the recent release candidate of Pamac 9.4.0 when initiating transactions, being stuck at "Preparing..." without being able to cancel the transaction and quit Pamac normally.

For now, it is recommended to use pacman to do package management until this issue is solved and Pamac become usable again. Please test out upcoming updates for Pamac to see if the issue becomes solved or not.

If you are stuck in "Preparing...", you will have to manually kill the pamac-managerprocess.

Reported on Gitlab:
https://gitlab.manjaro.org/applications/pamac/issues/757

Upgrading firewalld package to 0.8.1-2 requires manual intervention

Please read this announcement if you have file conflicts when trying to upgrade firewalld package to 0.8.1-2.

Firewalld requires manual intervention

khotkeys identified as an orphaned package

You can remove that package, but might loose some functionality with your key-bindings. We made it now optional to be installed.


Weird font glitches (see screenshots below).

If you have weird glitches like below...

Screenshots

Screenshot%20from%202020-01-16%2023-59-49
string3
strings%20mismatch
post%20transaction%20hooks

... have you tried turning it off and on again?

More seriously, so far, people that reported to have such issue noticed that the problem goes away at next boot.


Installing xorgproto (2019.2-2) breaks dependency of a package

If you run into an issue because of xorgproto please DON'T follow the Arch suggestion as Manjaro uses the xorgproto-transfer package to make this automatic. If you have an issue, please report and wait for an update from us!

AUR Rebuilds required after updating python 3.7 to 3.8

Packages that depend on python from the AUR will need to be rebuilt after everything else has been updated. You can rebuild some of them with the following:

sudo pacman -S --needed --noconfirm expac yay
yay -S --rebuildtree $(pacman -Qmq $(expac %N python))

You can find other packages that need to be rebuilt by looking at the folders/files in

/usr/lib/python3.7/site-packages/

To find out what package owns a folder/file in that, you can use the following:

pacman -Qo folder_or_filename

If no package owns a file, it can probably be ignored.


System Settings and kinfocenter crash when entering Night Color settings randomly

Remove entire [NightColor] section of ~/.config/kwinrc
No solution yet ─ please edit as soon as a workaround is found.

xfce4-power-manager does not open / upower fails

Install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with upower 0.99.11-1 on kernels 4.4 and 4.9.


xfce4-terminal / guake / gnome-terminal does not open

Update to vte3 0.58.2-1 or install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with vte3 0.58.1-1 on kernels 4.4 and 4.9.


Replace linux52 with community/linux-latest ?

linux52 is EOL and has been removed from the repositories. It will be replaced by a metapackage which will from now on keep you on a maintained kernel.

If you want to keep the old kernel and modules then include them in your pacman.conf's IgnorePkg.


Pamac-Qt is not compatible to 9.0 API of Pamac

Pamac Qt 0.3 pre-RC: Towards the release, needs help in testing


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

That is DOPE! Absolutely a game changer :wink:

Wow, Tuxedo Cotrol Center looks like an awesome tool. Can we hope for it to be build for Manjaro?
:pray:t3:

Uh, wish granted?
image

5 Likes

That's great! Thanks!

@philm @anthraxx@archlinux.org
In gufw-20.04.1-1-any.pkg.tar.zst the file gufw.desktop is missing...
And... and... and... the icons, the locale.... ---->broken

(gufw-19.10.0-2-any.pkg.tar.xz is o.K.)

2 Likes

Updates installed, 2 reboots and all looks good. Thanks

Is it possible my Plasma theme was re-set from Breath2 to Breeze? Nothing in the log that I can see:

$ grep 2020-04-29 /var/log/pacman.log
[2020-04-29T09:24:22-0400] [PACMAN] Running 'pacman -Syyu'
[2020-04-29T09:24:22-0400] [PACMAN] synchronizing package lists
[2020-04-29T09:24:25-0400] [PACMAN] starting full system upgrade
[2020-04-29T09:25:31-0400] [ALPM] transaction started
[2020-04-29T09:25:32-0400] [ALPM] upgraded tzdata (2019c-3 -> 2020a-1)
[2020-04-29T09:25:32-0400] [ALPM] upgraded vulkan-icd-loader (1.2.135-1 -> 1.2.137-1)
[2020-04-29T09:25:32-0400] [ALPM] upgraded mesa (20.0.5-1 -> 20.0.5-1.1)
[2020-04-29T09:25:32-0400] [ALPM] upgraded chromaprint (1.4.3-2 -> 1.5.0-1)
[2020-04-29T09:25:32-0400] [ALPM] upgraded libcups (2.3.1-1 -> 2.3.3-1)
[2020-04-29T09:25:32-0400] [ALPM] upgraded gtk-update-icon-cache (1:3.24.18-1 -> 1:3.24.20-1)
[2020-04-29T09:25:33-0400] [ALPM] upgraded gtk3 (1:3.24.18-1 -> 1:3.24.20-1)
[2020-04-29T09:25:35-0400] [ALPM] upgraded chromium (81.0.4044.122-1 -> 81.0.4044.129-1)
[2020-04-29T09:25:36-0400] [ALPM] upgraded cmake (3.17.1-2 -> 3.17.2-1)
[2020-04-29T09:25:36-0400] [ALPM] upgraded imagemagick (7.0.10.8-1 -> 7.0.10.10-1)
[2020-04-29T09:25:36-0400] [ALPM] upgraded cups (2.3.1-1 -> 2.3.3-1)
[2020-04-29T09:25:36-0400] [ALPM] upgraded glew (2.1.0-1 -> 2.2.0-2)
[2020-04-29T09:25:36-0400] [ALPM] upgraded gst-plugins-bad-libs (1.16.2-7 -> 1.16.2-8)
[2020-04-29T09:25:36-0400] [ALPM] upgraded serd (0.30.2-1 -> 0.30.4-1)
[2020-04-29T09:25:36-0400] [ALPM] upgraded lilv (0.24.6-2 -> 0.24.8-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded neon (0.31.0-1 -> 0.31.1-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded zbar (0.23-3 -> 0.23.1-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded gst-plugins-bad (1.16.2-7 -> 1.16.2-8)
[2020-04-29T09:25:39-0400] [ALPM] upgraded lib32-glew (2.1.0-1 -> 2.2.0-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded libtorrent-rasterbar (1:1.2.5-1 -> 1:1.2.6-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded libva-mesa-driver (20.0.5-1 -> 20.0.5-1.1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded licenses (20191011-2 -> 20200427-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded mesa-demos (8.4.0-3 -> 8.4.0-4)
[2020-04-29T09:25:39-0400] [ALPM] upgraded mesa-vdpau (20.0.5-1 -> 20.0.5-1.1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded zziplib (0.13.70-2 -> 0.13.71-1)
[2020-04-29T09:25:39-0400] [ALPM] upgraded mpd (0.21.23-1 -> 0.21.23-3)
[2020-04-29T09:25:39-0400] [ALPM] upgraded pkgconf (1.6.3-3 -> 1.6.3-4)
[2020-04-29T09:25:39-0400] [ALPM] upgraded python-pycups (1.9.74-3 -> 2.0.1-1)
[2020-04-29T09:25:41-0400] [ALPM] upgraded python2 (2.7.17-3 -> 2.7.18-1)
[2020-04-29T09:25:41-0400] [ALPM] upgraded qbittorrent (4.2.4-1 -> 4.2.5-1)
[2020-04-29T09:25:41-0400] [ALPM] upgraded qtermwidget (0.14.1-1 -> 0.15.0-1)
[2020-04-29T09:25:41-0400] [ALPM] upgraded vlc (3.0.9.2-1 -> 3.0.10-1)
[2020-04-29T09:25:41-0400] [ALPM] upgraded vulkan-intel (20.0.5-1 -> 20.0.5-1.1)
[2020-04-29T09:25:42-0400] [ALPM] upgraded vulkan-radeon (20.0.5-1 -> 20.0.5-1.1)
[2020-04-29T09:25:45-0400] [ALPM] transaction completed
[2020-04-29T09:25:46-0400] [ALPM] running '20-systemd-sysusers.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running '30-systemd-daemon-reload.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running '30-systemd-tmpfiles.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running '30-systemd-update.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running 'dbus-reload.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running 'detect-old-perl-modules.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running 'glib-compile-schemas.hook'...
[2020-04-29T09:25:46-0400] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2020-04-29T09:25:47-0400] [ALPM] running 'gtk-update-icon-cache.hook'...
[2020-04-29T09:25:47-0400] [ALPM] running 'update-desktop-database.hook'...
[2020-04-29T09:25:47-0400] [ALPM] running 'update-mime-database.hook'...
[2020-04-29T09:25:48-0400] [ALPM] running 'update-vlc-plugin-cache.hook'...

Unable to find the GUFW firewall GUI from Arc Menu after this update. I did reboot my system. Searched for it, and is not there in the menu.

alt-F2 then ran gufw did work then prompted for my password. I hope this reply makes sense.

Using Gnome Manjaro, in Traditional layout.

wow you're right. Just checked myself. No firewall here in my rofi menu and the xfce settings too.
System: Manjaro awesome (with xfce).
Was able to start it from Terminal. - Can run it as a Command like elytron too (Super+R in my case)
Reboot and reinstall of gufw and ufw didn't work.


@philm

1 Like
$ gufw

(gufw.py:1769): Gtk-WARNING **: 23:33:56.138: Could not load image '/usr/share/icons/hicolor/48x48/apps/gufw.png'

The glew update broke kicad. I was able to resolve the problem by grabbing the new kicad package from arch upstream.

Thanks for all your hard work!

Same issue with Gufw as reported by several other users above. No gui, not in the settings either.

Just checked here and says it's install, but no GUI that I can see.

EDIT:

Just launched it from Konsole and it opened with this error.

(gufw.py:119422): Gtk-WARNING **: 16:14:55.968: Could not load image '/usr/s
hare/icons/hicolor/48x48/apps/gufw.png': Failed to open file “/usr/share/ico
ns/hicolor/48x48/apps/gufw.png”: No such file or directory

Well, we will see if upstream Arch is fixing it.
https://bugs.archlinux.org/task/66468?project=5&string=gufw ... Else I can take a look.

2 Likes

I'll sync with Arch tomorrow again. Thx for pointing this out.

2 Likes

Hi,
in the Bugreport mentioned is only missing of gufw.desktop, but:
also there is no -> /usr/share/icons and no /usr/share/locale folder is completely missing
(besides of /usr/share/applications)

(irony/on) Neuer Packer - neue Schlamperei? (irony/off)

Come on, ■■■■ happens and it's not a big deal breaker. We are al humans (and we make all mistakes).
I wouldn't had even noticed it, without the mentioning.

to be honest, me neither.

@banjo @seantum @philm
Is irony the wrong expression? As I would have said too: "...happens and it's not a big deal breaker..."
Wie heisst es so schön: wer arbeitet macht Fehler. Wer viel arbeitet, macht viele Fehler.
Wer keine Fehler macht, ist ein fauler Hund.
O weh, wem bin ich jetzt wieder auf den Schlips getreten?!

1 Like

Forum kindly sponsored by